/**
 * Parse a markdown document with optional YAML frontmatter into an object
 * with the markdown content and any frontmatter as keys.
 * @param content The raw markdown content
 * @param markdownKey The key to use for the markdown content
 * @returns The parsed markdown content and frontmatter
 */
declare function parse(content: string, markdownKey?: string): Record<string, unknown>;
/**
 * Serialize an object with markdown content and optional frontmatter into a
 * Markdown document. Uses the `content` key for the markdown content by default.
 * @param data The object to serialize
 * @param markdownKey The key to use for the markdown content
 * @returns The parsed markdown content and frontmatter
 */
declare function stringify(data: Record<string, unknown>, markdownKey?: string): string;
declare const EMDY: {
    readonly parse: typeof parse;
    readonly stringify: typeof stringify;
};
export default EMDY;
